> ## Name

> cgSetMatrixParameterdr - sets the value of matrix parameters

> ## Synopsis

>     #include <Cg/cg.h>

>     void cgSetMatrixParameterdr( CGparameter param,
>                                  const double * matrix );

> ## Parameters

> param
>   The parameter that will be set.
> matrix
>   An array of values used to set the matrix parameter. The array must be the number of rows times the number of columns in size.

> ## Return Values

> None.

> ## Description

> cgSetMatrixParameterdr sets the value of a given matrix parameter from an array of doubles laid out in row-major order.

> cgSetMatrixParameterdr may only be called with uniform parameters.

> ## Examples

> to-be-written

> ## Errors

> CG_NOT_MATRIX_PARAM_ERROR is generated if param is not a matrix parameter.

> CG_INVALID_PARAM_HANDLE_ERROR is generated if param is not a valid parameter.

> CG_INVALID_PARAMETER_ERROR is generated if the parameter fails to set for any other reason.

> ## History

> cgSetMatrixParameterdr was introduced in Cg 1.2.

> ## See Also

> cgSetMatrixParameter, cgGetParameterRows, cgGetParameterColumns, cgGetMatrixParameter, cgGetParameterValues